---
layout: mockup
title: "Calendar - New/Edit Event Dialog"
theme: Adwaita/Adwaita.css
permalink: calendar/event-dialog
---

<style type="text/css">
label .icon {
	margin-right: 0 !important;
	opacity: 0.8;
}
</style>

<!-- New Event Dialog -->
<div class="gtkdialog-window" id="newEventDialog">
	<div class="titlebar grouped">
		<div class="button-group float-left"><a class="button text-button">Cancel</a></div>
		<!-- Title -->
		<div class="title-group" style="margin-left:12px;margin-top: -6px;">
			<div class="title" id="eventTitle">Unnamed Event</div><div class="subtitle">Personal Calandar</div>
		</div>
		<div class="button-group float-right"><a class="button text-button suggested-action" id="addEventDone">Add</a></div>
	</div>
	<div class="gtkdialog-content">
		<div class="row">
			<ul class="listrow">
				<li>
					<label>Title</label>
					<input type="text" class="entry float-right" id="eventTitleEntry" placeholder="Unnamed Event" >
				</li>
				<li>
					<label>Location</label>
					<input class="entry float-right" placeholder="Location"></input>
				</li>
			</ul>
			<br>
			<h5>Schedule</h5>
			<ul class="listrow">
				<li>
					<label>All-day</label>
					{%- include components/switch.html float = "right" checked = "" onclick = "$('#addEventStartTimeStatus').toggleClass('hidden');$('#addEventEndTimeStatus').toggleClass('hidden');$('#addEventEndWeekdayStatus').toggleClass('hidden');$('#addEventStartWeekdayStatus').toggleClass('hidden');$('#addEventEndDateStatus').toggleClass('hidden');" -%}
				</li>
				<li id="addEventStarts">
					<label>Starts</label>
					<label class="float-right" id="addEventStartTimeStatus">10:00 AM</label>
					<label class="float-right" id="addEventStartStatus"><span class="hidden" id="addEventStartWeekdayStatus">Wed&nbsp;&nbsp;</span>Nov 13, 2019</label>
				</li>
				<li id="addEventEnds">
					<label>Ends</label>
					<label class="float-right" id="addEventEndTimeStatus">11:00 AM</label>
					<label class="float-right hidden" id="addEventEndDateStatus"><span class="hidden" id="addEventEndWeekdayStatus">Wed&nbsp;&nbsp;</span>Nov 13, 2019</label>
				</li>
				<li id="eventRepeatIntervalPopover">
					<label>Repeat</label>
					<label class="float-right"><span id="eventRepeatIntervalStatus">Weekly</span><div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div></
				</li>
				<li id="eventEndRepeatPopover">
					<label>End Repeat</label>
					<label class="float-right"><span id="eventEndRepeatStatus">On Date</span><div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div></label>
				</li>
				<li id="eventEndRepeatDate">
					<label>End Repeat Date</label>
					{%- include components/listrow-link-icon.html -%}
					<label class="float-right">Dec 18, 2019</label>
				</li>
			</ul>
			<br>
			<h5>Reminders</h5>
			<ul class="listrow">
				<li>
					<label>1 hour before</label>
					<a class="button image-button float-right undecorated" onclick="$(this).parent().hide();">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
					<a class="button image-button float-right undecorated">{%- include symbolic/status/notifications-disabled-symbolic.svg -%}</a>
				</li>
				<li>
					<label>15 minutes before</label>
					<a class="button image-button float-right undecorated" onclick="$(this).parent().hide();">{%- include symbolic/actions/edit-delete-symbolic.svg -%}</a>
					<a class="button image-button float-right undecorated">{%- include symbolic/apps/preferences-system-notifications-symbolic.svg -%}</a>
				</li>
				<li id="addEventReminder" class="text-center">
					<label>Add a Reminder&hellip;</label>
				</li>
			</ul>
			<ul class="listrow">
				<li id="eventBusyPopover">
					<label>Show As</label>
					<label class="float-right"><span id="eventBusyStatus">Busy</span><div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div></label>
				</li>
			</ul>
			<br>
			<h5>Notes</h5>
			<textarea class="full-width" placeholder=""></textarea>
			<br><br>
			<a class="button text-button float-right destructive-action">Delete Event</a>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var popoverContent = ['<ul>',
		'<li onclick="eventRepeatIntervalOption($(this).text());">Never</li>',
		'<li onclick="eventRepeatIntervalOption($(this).text());">Every Weekday</li>',
		'<li onclick="eventRepeatIntervalOption($(this).text());">Daily</li>',
		'<li onclick="eventRepeatIntervalOption($(this).text());">Weekly</li>',
		'<li onclick="eventRepeatIntervalOption($(this).text());">Monthly</li>',
		'<li onclick="eventRepeatIntervalOption($(this).text());">Yearly</li>',
		'</ul>'].join('');

	$('#eventRepeatIntervalPopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function eventRepeatIntervalOption() {
	$('#eventRepeatIntervalStatus').text(arguments[0]);
	$("#eventRepeatIntervalPopover").popover("hide");
}

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var popoverContent = ['<ul>',
		'<li onclick="eventBusyOption($(this).text());">Busy</li>',
		'<li onclick="eventBusyOption($(this).text());">Free</li>',
		'</ul>'].join('');

	$('#eventBusyPopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function eventBusyOption() {
	$('#eventBusyStatus').text(arguments[0]);
	$("#eventBusyPopover").popover("hide");
}

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var popoverContent = ['<ul>',
		'<li onclick="eventEndRepeatOption($(this).text());$(&apos;#eventEndRepeatDate&apos;).show();">On Date</li>',
		'<li onclick="eventEndRepeatOption($(this).text());$(&apos;#eventEndRepeatDate&apos;).hide();">Never</li>',
		'</ul>'].join('');

	$('#eventEndRepeatPopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function eventEndRepeatOption() {
	$('#eventEndRepeatStatus').text(arguments[0]);
	$("#eventEndRepeatPopover").popover("hide");
}
</script>